#include <EXTERN.h>
#include <perl.h>
#include <Python.h>

/* create a perl interpreter */
extern void perl_create();

/* destroy a perl interpreter */
extern void perl_destroy();

/* evaluates a perl script */
extern void perl_eval(char *script);

/* returns the value of a perl variable */
/*
Since perl uses scalars you need not worry about datatypes
when calling the Int,Float and String methods. But with the
List and dict methods the name of the perl script variable must be
a List or Dict data type respectively.
*/
extern int       perl_IntFromName(char *name);
extern float     perl_FloatFromName(char *name);
extern char     *perl_StringFromName(char *name);
extern PyObject *perl_ListFromName(char *name);
extern PyObject *perl_DictFromName(char *name);

/* if an error occured this method returns a description, if not then
   it returns "" */
extern char     *perl_error();
